body {
    direction: rtl;
}

.navbar-logo {
    text-align: center;
    float: left;
    height: 0;
    margin-top: 24px;
}

#container {
    overflow: hidden;
}

body > .dim{
/*    display: none;*/
    position: fixed;
    top:0;
    bottom: 0;
    right: 0;
    left: 0;
    opacity: 0;
    -webkit-transition: opacity .3s;
    transition: opacity .3s;
    background-color: black;
}
body.sidebar-open > .dim{
    z-index: 50;
    opacity: .6;
/*    display: block;*/
} 

#container > div > .main-section {
    padding-right: 20px;
    padding-left: 20px;
}

body > .container-a > div > aside.drawer {
    display: none;
}

body.has-sidebar > #container aside.drawer {
    display: block;
    position: fixed;
    width: 220px;
    top: 0;
    right: -220px;
    bottom: 0;
    z-index: 116;
    height: 100%;
    -webkit-backface-visibility: hidden;
    -webkit-transition: right .3s ease;
    transition: right .3s ease;
    padding-top: 30px;
}

body.sidebar-open > #container aside.drawer {
    right: 0;
}

#container > div > .main-section,
#container > footer {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transition: transform .3s;
    transition: transform .3s;
}


/*
body.sidebar-open #container > div > .main-section,
body.sidebar-open #container > footer{
    -webkit-transform: translate3d(-220px, 0, 0);
    transform: translate3d(-220px, 0, 0);
}
*/

body header .toggle-sidebar {
    display: none!important;
}

body.has-sidebar header .toggle-sidebar {
    display: block!important;
}

body.has-sidebar > #container > div > aside.drawer > visible-xs {
    margin-top: 10px;
    margin-bottom: 10px;
    display: block;
    width: 100%;
}

#container > div > aside.drawer > div {
    display: block;
    /*    height: 100%;*/
    width: 100%;
}

@media (max-width:768px) {

}

@media (min-width:768px) {
    /* sm */
    #container header {
        margin-bottom: -21px;
    }
    body.has-sidebar > header .toggle-sidebar,
    body > header .toggle-sidebar {
        display: none!important;
    }
    body.sidebar-open #container > div > .main-section,
    #container > footer {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        -webkit-transition: transform .3s;
        transition: transform .3s;
    }
    #container > div {
        display: table;
        width: 100%;
    }
    body.has-sidebar #container aside.drawer,
    body.sidebar-open #container > div > .main-section {
        display: table-cell;
        position: inherit;
        float: none;
        vertical-align: top;
    }
}

@media (min-width:992px) {
    /* ms */
    #container aside.drawer {
        /*        height: 100%;*/
    }
}

@media (min-width:1200px) {
    /* lg */
    #container aside.drawer {
        /*        display: none;*/
    }
    #container {}
}

@media print {
    header {
        display: none;
    }
    footer {
        display: none;
    }
}